---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: pdm-api
  namespace: documentations
spec:
  values:
    services:
      backend:
        deployment:
          replicaCount:
            _default: 3
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/pdmv2:prod_542e5343
        envs:
          - name: OBSERVABILITY_COLLECTOR_ENDPOINT
            value:
              _default: temp
          - name: USE_SUBSCRIPTIONS
            value:
              _default: "false"
          - name: RELEASES_URL
            value:
              _default: https://gitlab.com
          - name: APP_NAME
            value:
              _default: pdm_v2
          - name: APP_VERSION
            value:
              _default: "0.0.1"
          - name: LOG_LEVEL
            value:
              _default: INFO
          - name: HTTP_PORT
            value:
              _default: "8080"
          - name: POSTGRES_ADDRESS
            value:
              _default: postgres-service.documentations.svc.cluster.local
          - name: POSTGRES_PORT
            value:
              _default: "5432"
          - name: POSTGRES_DB
            value:
              _default: documentations
          - name: POSTGRES_POOL_SIZE
            value:
              _default: "20"
          - name: API_ADDRESS
            value:
              _default: 0.0.0.0:8080
          - name: API_ADDRESS_FILE
            value:
              _default: 0.0.0.0:8080
          - name: ENABLE_OBSERVABILITY
            value:
              _default: "false"
          - name: ENABLE_SSL
            value:
              _default: "0"
          - name: ENABLE_S3
            value:
              _default: "1"
          - name: DOCUMENTATION_URL
            value:
              _default: http://documentations-service.documentations.svc.cluster.local:8080/
          - name: WORKFLOW_URL
            value:
              _default: http://workflows-service.workflow.svc.cluster.local:8000/
          - name: WORKSPACE_URL
            value:
              _default: http://workspaces-service.workspaces.svc.cluster.local:8000
          - name: BIM_API_V2_URL
            value:
              _default: http://backend-service.bim.svc.cluster.local:8000/
          - name: BIM_V2_HOST
            value:
              _default: http://backend-service.bim.svc.cluster.local:8000/
          - name: WORKSPACE_BUNDLE_VERSION
            value:
              _default: v1
          - name: DJANGO_HOST
            value:
              _default: http://backend.django.svc.cluster.local:8000
          - name: NAMESPACE
            value:
              _default: documentations
          - name: DJANGO_ORIGINATOR
            value:
              _default: docs_prod
          - name: FLOWS_URL
            value:
              _default: http://backend-service.flows.svc.cluster.local:8000
          - name: RESOURCES_URL
            value:
              _default: http://resources-service.resources.svc.cluster.local:8000
          - name: REMARKS_URL
            value:
              _default: http://remarks-static-service.remarks.svc.cluster.local:8080/remarks
          - name: ATTACHMENTS_URL
            value:
              _default: http://attachments-service.attachments.svc.cluster.local:80
          - name: WORKFLOW_IMAGES_VERSION
            value:
              _default: master
          - name: WORKFLOWS_IMAGES_VERSION
            value:
              _default: master
          - name: INSPECTIONS_URL
            value:
              _default: http://inspections-service.inspections
          - name: STATES_URL
            value:
              _default: http://workspaces-service.workspaces.svc.cluster.local:8000/
          - name: WIDTH_THUMB_STATES
            value:
              _default: "120"
          - name: HEIGHT_THUMB_STATES
            value:
              _default: "73"
          - name: WIDTH_THUMB_ATTACHMENTS
            value:
              _default: "300"
          - name: HEIGHT_THUMB_ATTACHMENTS
            value:
              _default: "300"
          - name: ENABLE_PERMISSIONS_FILTER
            value:
              _default: "1"
          - name: PERMISSIONS_FILTER_COMPANIES
            value:
              _default: "[1, 2, 3, 4, 5, 6, 7, 8, 9, 10]"
          - name: SUBSCRIPTIONS_URL
            value:
              _default: http://sarex-subscriptions-service.subscriptions
          - name: SYSTEM_LOG_URL
            value:
              _default: http://api-service.system-log.svc.cluster.local:8000
          - name: API_HOST_PREFIX
            value:
              _default: /gateway
          - name: TARGET_URL
            value:
              _default: http://backend.django.svc.cluster.local:8000
          - name: EAV_URL
            value:
              _default: http://eav-service.eav.svc.cluster.local:8000
          - name: NOTES_URL
            value:
              _default: http://backend-service.notes.svc.cluster.local:8000
          - name: S3_SERVICE_ACCOUNT
            value:
              _default: /etc/sarex/yc-s3-storage/yc-s3-service-account.json
          - name: READ_WRITE_TIMEOUT_FILE_STREAM
            value:
              _default: 6h
          - name: CACHE_DEFAULT_EXPIRATION
            value:
              _default: 60s
          - name: CACHE_CLEANUP_INTERVAL
            value:
              _default: 60s
          - name: USE_CACHE_IN_FILE_STREAMER
            value:
              _default: "1"
          - name: ENVIRONMENT
            value:
              _default: prod
          - name: TRANSMITTALS_BASE_URL
            value:
              _default: http://transmittal-service.transmittals.svc.cluster.local:80
